Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.management
Class MBeanContainer

    java.lang.Object
      org.mortbay.management.MBeanContainer

All Implemented Interfaces:
  EventListener, Container.Listener

    public class MBeanContainer

extends Object
implements Container.Listener

Constructor Summary
`MBeanContainer(MBeanServer server)`

Method Summary
`void` | `add(Container.Relationship relationship)`
`void` | `addBean(Object obj)`
`Object` | `findBean(ObjectName oname)`
`ObjectName` | `findMBean(Object object)`
`String` | `getDomain()`
`MBeanServer` | `getMBeanServer()`
`void` | `remove(Container.Relationship relationship)`
`void` | `removeBean(Object obj)`
`void` | `setDomain(String domain)`
`void` | `setManagementPort(int port)`
`void` | `start()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanContainer

    public MBeanContainer(MBeanServer server)

Method Detail

### findMBean

    public ObjectName findMBean(Object object)

### findBean

    public Object findBean(ObjectName oname)

### getMBeanServer

    public MBeanServer getMBeanServer()

### setDomain

    public void setDomain(String domain)

### getDomain

    public String getDomain()

### setManagementPort

    public void setManagementPort(int port)

### start

    public void start()

### add

    public void add(Container.Relationship relationship)

  Specified by:
    `add` in interface `Container.Listener`

### remove

    public void remove(Container.Relationship relationship)

  Specified by:
    `remove` in interface `Container.Listener`

### removeBean

    public void removeBean(Object obj)

  Specified by:
    `removeBean` in interface `Container.Listener`

### addBean

    public void addBean(Object obj)

  Specified by:
    `addBean` in interface `Container.Listener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.